This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 821526

Summary: [abrt] system-config-keyboard-1.3.1-8.fc17: keyboard.py:136:write:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'
Product: [Fedora] Fedora Reporter: zero_slash_dot-redhat
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: itamar, lkundrak, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:33d5f8741a3898fdbcdbf544b660f583f77d6874
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 23:00:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description zero_slash_dot-redhat 2012-05-14 15:29:28 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/share/system-config-keyboard/system-config-keyboard.py
executable:     /usr/share/system-config-keyboard/system-config-keyboard.py
kernel:         3.3.0-1.fc17.x86_64
time:           Sun 13 May 2012 04:53:25 PM CEST
uid:            1000
username:       moe

backtrace:
:keyboard.py:136:write:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 231, in _okClicked
:    return self.apply(None, False)
:  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 111, in apply
:    self.kbd.write()
:  File "/usr/lib/python2.7/site-packages/system_config_keyboard/keyboard.py", line 136, in write
:    file = open(instPath + "/etc/sysconfig/keyboard", "w")
:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'
:
:Local variables in innermost frame:
:self: <system_config_keyboard.keyboard.Keyboard instance at 0x147b3b0>
:instPath: '/'

comment:
:I tried to change my keyboard layout to a German layout.
:
:You can reproduce the error by following these steps:
:
:1. Open Applications Menu -> Administration -> Keyboard
:
:2. Select a different keyboard layout
:
:    * I chose "German (latin1 w/ no deadkeys)
:
:I was able to solve the issue by executing the application with root access:
:
:    sudo system-config-keyboard
Comment 1 Fedora End Of Life 2013-07-03 19:53:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:00:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.